MARKDOWN-CALIBRE(1)

NAME
markdown-calibre - convert Markdown text to XHTML/HTML

SYNOPSIS
markdown-calibre [options] [INPUTFILE]

(STDIN is assumed if no INPUTFILE is given)

DESCRIPTION

A Python implementation of John Gruber's Markdown.

    https://python-markdown.github.io/

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-f OUTPUT_FILE, --file=OUTPUT_FILE
    Write output to OUTPUT_FILE. Defaults to STDOUT.

-e ENCODING, --encoding=ENCODING
    Encoding for input and output files.

-o OUTPUT_FORMAT, --output_format=OUTPUT_FORMAT
    Use output format 'xhtml' (default) or 'html'.

-n, --no_lazy_ol
    Observe number of first item of ordered lists.

-x EXTENSION, --extension=EXTENSION
    Load extension EXTENSION.

-c CONFIG_FILE, --extension_configs=CONFIG_FILE
    Read extension configurations from CONFIG_FILE. CONFIG_FILE must be of JSON or YAML format. YAML format requires that a python YAML library be installed. The parsed JSON or YAML must result in a python dictionary which would be accepted by the 'extension_configs' keyword on the markdown.Markdown class. The extensions must also be loaded with the `--extension` option.

-q, --quiet
    Suppress all warnings.

-v, --verbose
    Print all warnings.

--noisy
    Print debug messages.

SEE ALSO
calibre(1)